{ inputs, config, pkgs, ... }:

{
  programs.ssh = {
    enable = true;
    includes = [ "gpulab_hosts_config" ];
    matchBlocks = {
      "*" = {
        host = "*";
      };
      mallorea = {
        host = "mallorea";
        hostname = "server.thomasave.be";
        port = 22;
        user = "server";
        forwardAgent = true;
      };
      Mallorea = {
        host = "Mallorea";
        hostname = "server.thomasave.be";
        port = 22;
        user = "server";
        forwardAgent = true;
      };
      Kell = {
        host = "Kell";
        hostname = "kell.thomasave.be";
        port = 22;
        user = "user";
        forwardAgent = true;
      };
      kell = {
        host = "kell";
        hostname = "kell.thomasave.be";
        port = 22;
        user = "user";
        forwardAgent = true;
      };
      Riva = {
        host = "Riva";
        hostname = "riva.thomasave.be";
        port = 22;
        user = "user";
        forwardAgent = true;
      };
      riva = {
        host = "riva";
        hostname = "riva.thomasave.be";
        port = 22;
        user = "user";
        forwardAgent = true;
      };
      NixVM = {
        host = "NixVM";
        hostname = "nixvm.thomasave.be";
        port = 22;
        user = "user";
        forwardAgent = true;
      };
      nixvm = {
        host = "nixvm";
        hostname = "nixvm.thomasave.be";
        port = 22;
        user = "user";
        forwardAgent = true;
      };
      Vault = {
        host = "Vault";
        hostname = "etienne.thomasave.be";
        port = 22;
        user = "server";
        forwardAgent = true;
      };
      vault = {
        host = "vault";
        hostname = "etienne.thomasave.be";
        port = 22;
        user = "server";
        forwardAgent = true;
      };
    };
  };
}
